Skip to content

Get selected AI image job for entity

GET
/ai-images/selected
curl --request GET \
--url 'https://api.ethos.network/api/v2/ai-images/selected?entityType=SLASH&entityId=1'
entityType
required
string
Allowed values: SLASH BROKER
entityId
required
integer
> 0 <= 9007199254740991

Successful response

Media typeapplication/json
Any of:
object
id
required
number
jobType
required
string
Allowed values: SLASH BROKER
entityId
required
number
status
required
string
Allowed values: PENDING PROCESSING COMPLETED FAILED
isSelected
required
boolean
error
required
string | null
metadata
required
Any of:
createdAt
required
string
updatedAt
required
string
completedAt
required
string | null
AiImages
required
Array<object>
object
id
required
number
jobId
required
number
fileName
required
string
imageUrl
required
string
metadata
required
createdAt
required
string

Example

{
"jobType": "SLASH",
"status": "PENDING"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}